package com.mortals.xhx.module.attendance.service.impl;
import com.mortals.framework.service.ICacheService;
import com.mortals.framework.service.impl.AbstractCRUDCacheServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.attendance.dao.AttendanceGroupDao;
import com.mortals.xhx.module.attendance.model.AttendanceGroupEntity;
import com.mortals.xhx.module.attendance.service.AttendanceGroupService;
/**
* AttendanceGroupService
* 考勤组信息 service实现
*
* @author zxfei
* @date 2023-04-07
*/
@Service("attendanceGroupService")
public class AttendanceGroupServiceImpl extends AbstractCRUDCacheServiceImpl<AttendanceGroupDao, AttendanceGroupEntity, Long> implements AttendanceGroupService {

    @Autowired
    private ICacheService cacheService;

    @Override
    protected AttendanceGroupEntity findBefore(AttendanceGroupEntity entity, Context context) throws AppException {

        return super.findBefore(entity, context);
    }

    @Override
    protected void saveBefore(AttendanceGroupEntity entity, Context context) throws AppException {
        super.saveBefore(entity, context);
    }


    @Override
    protected void saveAfter(AttendanceGroupEntity entity, Context context) throws AppException {
        super.saveAfter(entity, context);
    }
}